Subject: Re: bug#70765: 30.0.50; srecode-all-template-hash in lisp/cedet/srecode/find.el

From: "Pierre L. Nageoire" <[email-masked]>
Date: Sun, 05 May 2024 10:14:49 +0200

Hi,

Thanks for your answer and for the patch. Did you also modified the code
on git repo ? This is always the emacs version I use. So i will try to
git pull  and recompile.

Thanks again

Regards 
Charalampos Mitrodimas <[email-masked]> writes:

> Hi Pierre,
>
> On 4/5/24 7:37 AM, Pierre L. Nageoire wrote:
>> Hi,
>>
>> Last line of this function code is mhash)))) and should most probably be
>> ))mhas)) otherwise the method always returns nil making the whole
>> srecode system unusable.
>
> You're correct, the function did not return the data it was
> supposed to due to the misplaced parenthesis, instead, it was
> always returning "nil".
>
> Patch attached.
>
>>
>> Implementation was different in 29.0.50 and has been changed. I suspect
>> it has been bugged as well ! Sory if I am wrong
>
> I didn't go back in history to verify this, but you might be right.
>
>
>         C. Mitrodimas